{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/open_immo_ftp_credential/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/open_immo_ftp_credential/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_open_immo_ftp_credentials_overview') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Externes Immobilienportal einrichten</span>
        {{ form_widget(openImmoFtpCredentialForm.save, {'label': 'SPEICHERN', 'id': openImmoFtpCredentialForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <p>Bitte geben Sie die Daten zur FTP-Verbindung mit dem externen Immobilienportal ein.</p>
            {{ form_start(openImmoFtpCredentialForm, {'attr': {'id': openImmoFtpCredentialForm.vars.id ~ '_form'}}) }}
            {% include 'configuration/form/open_immo_ftp_credential/open_immo_ftp_credential_form.html.twig' with {'form': openImmoFtpCredentialForm, 'openImmoFtpCredential': null} only %}
            {{ form_row(openImmoFtpCredentialForm._token) }}
            {{ form_end(openImmoFtpCredentialForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
